/**
 * Copyright (C) 2021 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#include <stdlib.h>
#include "lpp_tran.h"

constexpr uint8_t kDegreeAliasMaxSize = 64;

int main() {
    FIXP_DBL qmfBufferRealVal = {};
    FIXP_DBL *qmfBufferReal = &qmfBufferRealVal;
    FIXP_DBL qmfBufferImagVal = {};
    FIXP_DBL *qmfBufferImag = &qmfBufferImagVal;
    QMF_SCALE_FACTOR sbrScaleFactor = {};
    FIXP_DBL degreeAlias[kDegreeAliasMaxSize] = {};

    SBR_LPP_TRANS hLppTransVal = {};
    HANDLE_SBR_LPP_TRANS hLppTrans = &hLppTransVal;
    TRANSPOSER_SETTINGS settings = {};
    for (int32_t i = 0; i < MAX_NUM_NOISE_VALUES; ++i) {
        settings.bwBorders[i] = 64;
    }
    settings.nCols = 1;
    hLppTrans->pSettings = &settings;

    lppTransposer(hLppTrans, &sbrScaleFactor, &qmfBufferReal, degreeAlias, &qmfBufferImag, 1, 0, 0,
                  0, 0, 0, 0, nullptr, nullptr);

    return EXIT_SUCCESS;
}
